Skip to main content
GET
/
api
/
scores
/
stat-validation
Get a Merkle proof for fixture statistics
curl --request GET \
  --url https://txline.txodds.com/api/scores/stat-validation \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Api-Token: <api-key>'
{
  "ts": 123,
  "statToProve": {
    "key": 123,
    "value": 123,
    "period": 123
  },
  "eventStatRoot": "<string>",
  "summary": {
    "fixtureId": 123,
    "updateStats": {
      "updateCount": 123,
      "minTimestamp": 123,
      "maxTimestamp": 123
    },
    "eventStatsSubTreeRoot": "<string>"
  },
  "statProof": {},
  "subTreeProof": {},
  "mainTreeProof": {},
  "statToProve2": {
    "key": 123,
    "value": 123,
    "period": 123
  },
  "statProof2": {}
}

Authorizations

Authorization
string
header
required

User's session JWT.

X-Api-Token
string
header
required

The user's long-lived API token, obtained from the activation endpoint.

Headers

Authorization
string
required

Bearer token for the user's session JWT.

X-Api-Token
string
required

The user's long-lived API token.

Query Parameters

fixtureId
integer<int32>
required

The ID of the fixture for the scores event.

seq
integer<int32>
required

The sequence number of the specific scores event within the fixture's history.

statKey
integer<int32>

Legacy Mode: The key identifying the specific statistic to validate (e.g., 1 for 'Participant1_Score').

statKey2
integer<int32>

Legacy Mode: The key identifying an optional second statistic to validate for two-stat predicates.

statKeys
string

V2 Mode: Comma-separated list of stat keys used in N-stat validation strategies.

Response

ts
integer<int64>
required
statToProve
ScoreStat · object
required
eventStatRoot
file
required
summary
ScoresBatchSummary · object
required
statProof
Nil · object
required
subTreeProof
Nil · object
required
mainTreeProof
Nil · object
required
statToProve2
ScoreStat · object
statProof2
Nil · object